DocumentBuilderImpl (Xerces2 Implementation)
Keywords: org.apache.xerces.jaxp.DocumentBuilderImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.jaxp
Class DocumentBuilderImpl

    java.lang.Object
      javax.xml.parsers.DocumentBuilder
          org.apache.xerces.jaxp.DocumentBuilderImpl

All Implemented Interfaces:
  JAXPConstants

    public class DocumentBuilderImpl

extends javax.xml.parsers.DocumentBuilder
implements JAXPConstants

Version:
  $Id: DocumentBuilderImpl.java 704573 2008-10-14 16:11:22Z mrglavas $
Author:
  Rajiv Mordani, Edwin Goei

Field Summary

Fields inherited from interface org.apache.xerces.jaxp.JAXPConstants
`JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, W3C_XML_SCHEMA`

Method Summary
`org.w3c.dom.DOMImplementation` | `getDOMImplementation()`
`javax.xml.validation.Schema` | `getSchema()`
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`boolean` | `isXIncludeAware()` Gets the XInclude processing mode for this parser
`org.w3c.dom.Document` | `newDocument()` Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource is)`
`void` | `reset()`
`void` | `setEntityResolver(org.xml.sax.EntityResolver er)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler eh)`

Methods inherited from class javax.xml.parsers.DocumentBuilder
`parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newDocument

    public org.w3c.dom.Document newDocument()

  Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.

  Specified by:
    `newDocument` in class `javax.xml.parsers.DocumentBuilder`

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

  Specified by:
    `getDOMImplementation` in class `javax.xml.parsers.DocumentBuilder`

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource is)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Specified by:
    `parse` in class `javax.xml.parsers.DocumentBuilder`
  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### isNamespaceAware

    public boolean isNamespaceAware()

  Specified by:
    `isNamespaceAware` in class `javax.xml.parsers.DocumentBuilder`

### isValidating

    public boolean isValidating()

  Specified by:
    `isValidating` in class `javax.xml.parsers.DocumentBuilder`

### isXIncludeAware

    public boolean isXIncludeAware()

  Gets the XInclude processing mode for this parser

  Overrides:
    `isXIncludeAware` in class `javax.xml.parsers.DocumentBuilder`
  Returns:
    the state of XInclude processing mode

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

  Specified by:
    `setEntityResolver` in class `javax.xml.parsers.DocumentBuilder`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler eh)

  Specified by:
    `setErrorHandler` in class `javax.xml.parsers.DocumentBuilder`

### getSchema

    public javax.xml.validation.Schema getSchema()

  Overrides:
    `getSchema` in class `javax.xml.parsers.DocumentBuilder`

### reset

    public void reset()

  Overrides:
    `reset` in class `javax.xml.parsers.DocumentBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.